var iOpcionExplor;
var iMaxOpcionExplor = 0;
var iPaginaExplor = 0;
var iMaxPaginaExplor;
var cListaExplor = null;
var cValoresExplor = [];
var OPC_Explor_MAX = 14;

function Pag_Explor_Load(cDir) {
	Pag_Explor_Show();
	LeerExplor(cDir);
}

function Pag_Explor_Show() {
	Page_Show("Pag_Explor",
		 '<table width="720px" cellpadding="0" cellspacing="0" style="position: absolute; table-layout: fixed; background-image: url(fondo_datos.png);">'
		+'<tr height="88px">'
		+'	<td width="75px"/>'
		+'	<td width="320px" valign="bottom" style="color:#ffffff; font-size:18pt;">Explorador</td>'
		+'	<td width="180px" valign="bottom" align="right" class="font15">' + ObtenerHoraActual() + '</td>'
		+'	<td width="140px"/>'
		+'</tr>'
		+'<tr height="17px"/>'
		+'<tr height="34px"><td/><td width="320px" class="font16"><u>&nbsp;Programa</u></td><td align="right" class="font16"><u>Fecha</u></td></tr>'
		+'<tr height="415px">'
		+'	<td/>'
		+'	<td valign="top" colspan="3">'
		+'	<table id="Pag_Explor_Form" width="580px" cellpadding="0px" cellspacing="0px" style="table-layout: fixed">'
		+'	</table>'
		+'	</td>'
		+'	<td width="56px"/>'
		+'</tr>'
		+'</table>');
}

function Pag_Explor_Close() {
//	Pag_Canal_Show(iNumCanal, false);
	Pag_Menu_Show(OPC_Menu_Explor);
}

function Pag_Explor_Restore() {
	var iOpc = iOpcionExplor; //Cachear el valor porque sino se pierde en la carga
	Pag_Explor_Show();
	CargarExplor(iPaginaExplor);
	ActualizarExplor(iOpc);
}


function Pag_Explor_KeyDown(keyChar) {
	try {
		switch (keyChar) {
		case KEY_UP:
			ActualizarExplor(iOpcionExplor - 1);
			return 0;
		case KEY_DOWN:
			ActualizarExplor(iOpcionExplor + 1);
			return 0;
		case KEY_OK:
		case KEY_RIGHT:
			if (cValoresExplor[iOpcionExplor][2] == "0") {
				Pag_Play_PlayVideo(iOpcionExplor);
			} else if (cValoresExplor[iOpcionExplor][2] == "1") {
				LeerExplor(cValoresExplor[iOpcionExplor][3]);
			// Ignorar los directorios vacíos (= 2)
			}
			return 0;
		case KEY_LEFT:
			Pag_Explor_Close();
			return 0;
		case KEY_BACK:
			Page_Show("","");
			return 0;
		}
	} catch(ex) {
		alert("Pag_Explor_KeyDown: " + ex);
	}
	return 1;
}

var RefreshCargarExplorador = function(data) {
	try {
		cListaExplor = (data + "\n").split("\n");
		if (cListaExplor[0].substr(0,6) == "Items:") {
			iMaxPaginaExplor = Math.floor((parseInt(cListaExplor[0].substr(6,10))-1)/OPC_Explor_MAX) * OPC_Explor_MAX + 1;
		} else {
			iMaxPaginaExplor = 1;
			cListaExplor = ("\n\n").split("\n");
		}
		CargarExplor(1);
	} catch(ex) {
		alert("RefreshCargarExplorador: " + ex);
	}
}

function LeerExplor(cDir) {
	iOpcionExplor = 1;
	iPaginaExplor = 1;
	iMaxPaginaExplor = 0;
	SendMsg("DIR " + cDir, RefreshCargarExplorador);
}
	
function CargarExplor(iPag) {
	var cFormTemp;
	try {
		iPaginaExplor = iPag;
		if (iPaginaExplor > iMaxPaginaExplor) iPaginaExplor = 1;
		if (iPaginaExplor < 1) iPaginaExplor = iMaxPaginaExplor;
		iMaxOpcionExplor = 0;
		cFormTemp = "";
		for (var iNumLinea = 1; iNumLinea <= OPC_Explor_MAX; iNumLinea++) {
			if (cListaExplor[iNumLinea + iPaginaExplor - 1] != "") {
				cValoresExplor[iNumLinea] = (cListaExplor[iNumLinea + iPaginaExplor - 1]+"\t\t\t").split("\t");
				cFormTemp = cFormTemp + '<tr height="26px" id="Pag_Explor_Opcion' + iNumLinea + '" style="background-repeat: no-repeat; background-position: 0px -2px;"><td width="30px">';
				switch (cValoresExplor[iNumLinea][2]) {
				case "0":
					cFormTemp = cFormTemp + "<img src='icon_video.png'/>";
					break;
				case "1":
					cFormTemp = cFormTemp + "<img src='icon_dir.png'/>";
					break;
				case "2":
					cFormTemp = cFormTemp + "<img src='icon_empty.png'/>";
					break;
				}
				cFormTemp = cFormTemp + '</td><td width="365px" class="font16">' + cValoresExplor[iNumLinea][0] + '</td>';
				cFormTemp = cFormTemp + '<td width="185px" class="font16">';
				if (cValoresExplor[iNumLinea][1] > "") {
					//Primero ponemos el día
					cFormTemp = cFormTemp + "&nbsp;&nbsp;" + FormatearFecha(new Date(cValoresExplor[iNumLinea][1]));
				}
				cFormTemp = cFormTemp + '</td></tr>';
				iMaxOpcionExplor = iNumLinea;
			} else {
				iNumLinea = OPC_Explor_MAX;
			}
		}
		document.getElementById("Pag_Explor_Form").innerHTML = cFormTemp;
		if (iMaxOpcionExplor > 0) {
			if (iOpcionExplor == 0) {
				ActualizarExplor(iMaxOpcionExplor);
			} else {
				iOpcionExplor = 0;
				ActualizarExplor(1);
			}
		}
	} catch(ex) {
		alert("CargarExplor: " + ex);
	}
}

function ActualizarExplor(iOpc) {
	try {
		if (iOpcionExplor > 0) {
			document.getElementById("Pag_Explor_Opcion" + iOpcionExplor).style.backgroundImage="none";
		}
		iOpcionExplor = iOpc;
		if (iOpcionExplor < 1) CargarExplor(iPaginaExplor - OPC_Explor_MAX);
		else if (iOpcionExplor > iMaxOpcionExplor) CargarExplor(iPaginaExplor + OPC_Explor_MAX);
		else document.getElementById("Pag_Explor_Opcion" + iOpcionExplor).style.backgroundImage="url(cursor_grande.png)";
	} catch(ex) {
		alert("ActualizarExplor: " + ex);
	}
}

